---
agentTools:
  projectIndex: https://adzumo.readme.io/llms.txt
---

# Edit Frequency Cap

Edit campaign frequency capping

[block:api-header]
{
  "type": "basic",
  "title": "PHP"
}
[/block]

Replace:
\[FREQ\_PAGE] with your page frequency(on/off) - [List campaign page frequency capping](https://adzumo.readme.io/docs/advertisercampaignlistfreqpage)
\[FREQ\_TIMES] with your frequency times - [List campaign frequency times](https://adzumo.readme.io/docs/advertisercampaignlistfreqtimes)
\[FREQ\_HOUR] with your frequency hour - [List campaign frequency hour](https://adzumo.readme.io/docs/advertisercampaignlistfreqhour)
\[CAMPAIGN] with your campaign ID
\[YOUR\_API\_TOKEN] with your token

[block:code]
{
  "codes": [
    {
      "code": "<?php\n  $params = array(\n    'value[page]'=>[FREQ_PAGE],\n    'value[times]'=>[FREQ_TIMES],\n    'value[hour]'=>[FREQ_HOUR]\n  );\n  $curl = curl_init('https://api.adzumo.net/v1/advertiser/campaign/[CAMPAIGN]/edit/frequency/?token=[YOUR_API_TOKEN]');\n  curl_setopt($this->curl, CURLOPT_RETURNTRANSFER, true);\n  curl_setopt($this->curl, CURLOPT_CUSTOMREQUEST, 'PUT');\n  curl_setopt($this->curl, CURLOPT_POSTFIELDS, http_build_query($params));\n  $response = curl_exec($curl);\n  curl_close($curl);\n  var_dump($response);\n?>",
      "language": "php"
    }
  ]
}
[/block]

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "API Settings",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.adzumo.net/v1"
    }
  ],
  "security": [
    {}
  ],
  "paths": {
    "/advertiser/campaign/:id/edit/frequency/": {
      "put": {
        "summary": "Edit Frequency Cap",
        "description": "Edit campaign frequency capping",
        "operationId": "advertisercampaignideditfrequency",
        "requestBody": {
          "content": {
            "application/x-www-form-urlencoded": {
              "schema": {
                "type": "object",
                "properties": {
                  "value": {
                    "properties": {
                      "page": {
                        "type": "integer",
                        "description": "Enabled [1] or disabled [2]",
                        "format": "int32"
                      },
                      "times": {
                        "type": "integer",
                        "description": "Your allowed frequency times amount",
                        "format": "int32"
                      },
                      "hour": {
                        "type": "integer",
                        "description": "Your allowed frequency hour amount",
                        "format": "int32"
                      }
                    },
                    "required": [],
                    "type": "object"
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "php",
              "code": "<?php\n  $params = array(\n    'value[page]'=>1,\n    'value[times]'=>9999,\n    'value[hour]'=>18\n  );\n  $curl = curl_init('https://api.adzumo.net/v1/advertiser/campaign/[CAMPAIGN]/edit/frequency/?token=[YOUR_API_TOKEN]');\n  curl_setopt($this->curl, CURLOPT_RETURNTRANSFER, true);\n  curl_setopt($this->curl, CURLOPT_CUSTOMREQUEST, 'PUT');\n  curl_setopt($this->curl, CURLOPT_POSTFIELDS, http_build_query($params));\n  $response = curl_exec($curl);\n  curl_close($curl);\n  var_dump($response);\n?>"
            }
          ],
          "samples-languages": [
            "php"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true,
  "_id": "60f594ea7275ac0071183ac9:60f594ea7275ac0071183ade"
}
```